<?php
/*****************************************
 *										 *
 *	Author:			Felix Imobersteg     *
 *	Last Change:	2012-05-16			 *
 *										 *
 ****************************************/

/*
This file is part of Fly-High-CMS.

Fly-High-CMS is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

Fly-High-CMS is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Fly-High-CMS.  If not, see <http://www.gnu.org/licenses/>.

Diese Datei ist Teil von Fly-High-CMS.

Fly-High-CMS ist Freie Software: Sie können es unter den Bedingungen
der GNU General Public License, wie von der Free Software Foundation,
Version 3 der Lizenz oder (nach Ihrer Option) jeder späteren
veröffentlichten Version, weiterverbreiten und/oder modifizieren.

Fly-High-CMS wird in der Hoffnung, dass es nützlich sein wird, aber
OHNE JEDE GEWÄHELEISTUNG, bereitgestellt; sogar ohne die implizite
Gewährleistung der MARKTFÄHIGKEIT oder EIGNUNG FÜR EINEN BESTIMMTEN ZWECK.
Siehe die GNU General Public License für weitere Details.

Sie sollten eine Kopie der GNU General Public License zusammen mit diesem
Programm erhalten haben. Wenn nicht, siehe <http://www.gnu.org/licenses/>.
*/?>

<!DOCTYPE html>
<html>
	<!--Importieren der wichtigsten Hauptfunktionen (Muss immer als erstes geschehen-->
	<?php require_once 'cms/system-main.php'; ?>
	
	
	<head>
		<!--Titel setzen-->
		<title>Beispielseite</title>
		
		<!--CSS der Beispielseite-->
		<link rel="stylesheet" type="text/css" href="cms/css/example.css">
		
		<!--Definition Charset-->
		<meta http-equiv="content-type" content="text/html; charset=ISO-8859-1" />
		
		<!--Einbinden eines Favicon-->
		<link rel="shortcut icon" href="cms/icons/favicon.ico" type="image/x-icon">
		
		<!--System-Head importieren-->
		<?php getSystemHead(); ?>
		
		
	</head>
	
	<body>
		<!--Admin-Bar importieren-->
		<!--Hinweis: Dies muss immer zu oberst im Body geschehen-->
		<?php getAdminBar(); ?>
		
		
		<div id="main">
			<h1>Beispielseite</h1>
			<p>Dies ist die Beispielseite von Fly-CMS. Diese kann nach der Installation aufgerufen werden. Sie erk&auml;rt zum einen die wichtigsten Funktionen und dient dem Entwickler als Hilfe, die eigenen Seite zu erstellen.</p>
			
			<h2>Login</h2>
			Direkt nach der Installation sind SIe autoatisch eingeloogt. Dies erkennen Sie an der Administrator Leiste am obereren Rand der Seite. Um sich sp&auml;ter einzuloggen rufen sie bitte jeweils das <a href="cms">CMS Verzeichnis</a> auf und geben Ihre Daten ein.
			
			<h2>Beispiele</h2>
			<p>Nachfolgend folgen die Beispiele der Hauptfunktionen. Um diese in Ihre eigene Seite einzubauen, kopieren Sie jeweils die dazugeh&ouml;rigen Codezeile aus dem Quelltext in Ihre Datei. Der komplette Quelltext wurde mit leicht verst&auml;ndlichen Kommentaren erg&auml;nzt. Bitte beachten Sie, dass noch keine Inhalte vorhanden sind. Wenn Sie sich aber einloggen, k&ouml;nnen Sie durch klicken auf die Symbole Inhalte hinzuf&uuml;gen.</p>
			
			
			<h3>Text</h3>
			<!--Übergeben wird die ID in der Datenbank (Tabelle Inhalte)-->
			<?php getContentText(1); ?>
			
			
			<h3>Bild</h3>
			<!--Übergeben wird die ID in der Datenbank (Tabelle Media)-->
			<?php getContentImage(1); ?>
			
			
			<h3>Galerie</h3>
			<!--Übergeben wird die ID in der Datenbank (Tabelle Media)-->
			<?php getContentGalerie(2); ?>
			

			
		</div>
	</body>
	
</html>