<?php
/*****************************************
 *										 *
 *	Author:			Felix Imobersteg     *
 *	Last Change:	2012-05-16			 *
 *										 *
 ****************************************/

/*
  This file is part of Fly-High-CMS.

  Fly-High-CMS is free software: you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation, either version 3 of the License, or
  (at your option) any later version.

  Fly-High-CMS is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with Fly-High-CMS.  If not, see <http://www.gnu.org/licenses/>.

  Diese Datei ist Teil von Fly-High-CMS.

  Fly-High-CMS ist Freie Software: Sie können es unter den Bedingungen
  der GNU General Public License, wie von der Free Software Foundation,
  Version 3 der Lizenz oder (nach Ihrer Option) jeder späteren
  veröffentlichten Version, weiterverbreiten und/oder modifizieren.

  Fly-High-CMS wird in der Hoffnung, dass es nützlich sein wird, aber
  OHNE JEDE GEWÄHELEISTUNG, bereitgestellt; sogar ohne die implizite
  Gewährleistung der MARKTFÄHIGKEIT oder EIGNUNG FÜR EINEN BESTIMMTEN ZWECK.
  Siehe die GNU General Public License für weitere Details.

  Sie sollten eine Kopie der GNU General Public License zusammen mit diesem
  Programm erhalten haben. Wenn nicht, siehe <http://www.gnu.org/licenses/>.
 */

require_once 'resources/auth-functions.php';
if (!isLoggedOn()) {
	header("location: index.php");
	exit();
}

//Standard setzen
	if (!isset($_GET["pfad"])) {
		$_GET["pfad"] = "../";
	}
?>

<!DOCTYPE html>
<html>
	<head>
		
		<script type="text/javascript" src="https://ajax.googleapis.com/ajax/libs/jquery/1.5.1/jquery.min.js"></script>
		
		<?php
		if (isset($_GET["site"])) {
			if ($_GET["site"] == "explorer") {
				?>
				<!--Plupload-->
				<!-- Load Queue widget CSS and jQuery -->
				<style type="text/css">@import url(plupload/js/jquery.plupload.queue/css/jquery.plupload.queue.css);</style>

				<!-- Third party script for BrowserPlus runtime (Google Gears included in Gears runtime now) -->
				<script type="text/javascript" src="http://bp.yahooapis.com/2.4.21/browserplus-min.js"></script>

				<!-- Load plupload and all it's runtimes and finally the jQuery queue widget -->
				<script type="text/javascript" src="plupload/js/plupload.full.js"></script>
				<script type="text/javascript" src="plupload/js/jquery.plupload.queue/jquery.plupload.queue.js"></script>

				<script type="text/javascript">
					// Convert divs to queue widgets when the DOM is ready
					$(function() {
						$("#uploader").pluploadQueue({
							// General settings
							runtimes : 'gears,flash,silverlight,browserplus,html5',
							url : 'resources/upload.php?pfad=<?php echo $_GET["pfad"]; ?>',
							max_file_size : '10mb',
							chunk_size : '1mb',
							unique_names : true,

							// Resize images on clientside if we can
							resize : {width : 320, height : 240, quality : 90},

							// Specify what files to browse for
							filters : [
								{title : "Image files", extensions : "jpg,gif,png"},
								{title : "Zip files", extensions : "zip"}
							],

							// Flash settings
							flash_swf_url : 'plupload/js/plupload.flash.swf',

							// Silverlight settings
							silverlight_xap_url : 'plupload/js/plupload.silverlight.xap'
						});

						// Client side form validation
						$('form').submit(function(e) {
							var uploader = $('#uploader').pluploadQueue();

							// Files in queue upload them first
							if (uploader.files.length > 0) {
								// When all files are uploaded submit form
								uploader.bind('StateChanged', function() {
									if (uploader.files.length === (uploader.total.uploaded + uploader.total.failed)) {
										$('form')[0].submit();
									}
								});
			                
								uploader.start();
							} else {
								alert('You must queue at least one file.');
							}

							return false;
						});
					});
				</script>

			<?php }
		}
		?>
		<title>Adminbereich</title>

		<meta http-equiv="content-type" content="text/html; charset=ISO-8859-1" />
		<link rel="shortcut icon" href="icons/favicon.ico" type="image/x-icon">
		<link rel="stylesheet" type="text/css" href="css/controlcenter.css">
		<script type="text/javascript" src="js/togglemenu.js"></script>
		
		<script>
		
		function loadhome(){
			http = new XMLHttpRequest();
			http.open("GET", "resources/cc-home.php", false);
			http.send(null);
			$("#main").html(http.responseText);
		}
		
		$(document).ready(function(){
			$(".getnewsite").click(function(e){
				e.preventDefault();
				http = new XMLHttpRequest();
				var sitetoget = $(this).attr("id").substring(8);
				http.open("GET", "resources/cc-"+sitetoget+".php", false);
				http.send(null);
				$("#main").html(http.responseText);
			});
		});
		
		</script>

	</head>

	<body>
		<div id="container">
			<div id="navigation">
				<ul class="menu">
					<!--Navigation-->
					<li><a class="getnewsite" id="getsite-home" href='?site=null'><img src='icons/home.png' alt='Home'>&nbsp;Home</a></li>
					<li><a href="#"><img src='icons/user_suit.png' alt='Benutzerverwaltung'>&nbsp;Benutzerverwaltung</a>
						<ul>
							<li><a class="getnewsite" id="getsite-profil" href='?site=profil'><img src='icons/user_edit.png' alt='Eigener Benutzer'>&nbsp;Eigener Benutzer</a></li>
							<li><a class="getnewsite" id="getsite-new-user" href='?site=new-user'><img src='icons/user_add.png' alt='Eigener Benutzer'>&nbsp;Neuer Benutzer</a></li>
							<li><a class="getnewsite" id="getsite-users" href='?site=users'><img src='icons/user_green.png' alt='Alle Benutzer'>&nbsp;Alle Benutzer</a></li>
						</ul>
					</li>
					<li><a id="getsite-update" href='?site=update'><img src='icons/arrow_up.png' alt='Update'>&nbsp;Update</a></li>
					<li><a class="getnewsite" id="getsite-seo" href='?site=seo'><img src='icons/zoom.png' alt='Suchmaschinenoptimierung SEO'>&nbsp;Suchmaschinenopt.</a></li>
					<li><a id="getsite-explorer" href='?site=explorer'><img src='icons/world.png' alt='Explorer'>&nbsp;Explorer</a></li>
					<li><a href='#'><img src='icons/bell.png' alt='About'>&nbsp;About</a>
						<ul>
							<li><a class="getnewsite" id="getsite-kontakt" href='?site=kontakt'><img src='icons/comment.png' alt='Kontakt'>&nbsp;Kontakt</a></li>
							<li><a class="getnewsite" id="getsite-spenden" href='?site=spenden'><img src='icons/coins.png' alt='Spenden'>&nbsp;Spenden</a></li>
							<li><a class="getnewsite" id="getsite-lizenz" href='?site=lizenz'><img src='icons/tux.png' alt='Lizenz'>&nbsp;Lizenz</a></li>
							<li><a class="getnewsite" id="getsite-impressum" href='?site=impressum'><img src='icons/connect.png' alt='Lizenz'>&nbsp;Impressum</a></li>
						</ul>
					</li>
					<li><a class="getnewsite" id="getsite-hilfe" href='?site=hilfe'><img src='icons/help.png' alt='Hilfe'>&nbsp;Hilfe</a></li>
				</ul>

			</div>
			<div id="main">
				<?php
				//Importiern der Seiten
				if (!isset($_GET["site"])) {
					echo '<script>$(document).ready(function(){loadhome();});</script>';
				}
				else if ($_GET["site"] == "new-user-save") {
					require_once 'resources/cc-new-user-save.php';
				}
				else if ($_GET["site"] == "update") {
					require_once 'resources/cc-update.php';
				}
				else if ($_GET["site"] == "seo-sitemap") {
					require_once 'resources/cc-seo-sitemap.php';
				}
				else if ($_GET["site"] == "explorer") {
					require_once 'resources/cc-explorer.php';
				}
				else if ($_GET["site"] == "kontakt-send") {
					require_once 'resources/cc-kontakt-send.php';
				}
				else if ($_GET["site"] == "profil-save") {
					require_once 'resources/cc-profil-save.php';
				}
				else if ($_GET["site"] == "profil-delete") {
					require_once 'resources/cc-profil-delete.php';
				}
				else {
					echo '<script>$(document).ready(function(){loadhome();});</script>';
				}
				?>
			</div>
		</div>

	</body>

</html>
