<?php
/*****************************************
 *										 *
 *	Author:			Felix Imobersteg     *
 *	Last Change:	2012-05-16			 *
 *										 *
 ****************************************/

/*
  This file is part of Fly-High-CMS.

  Fly-High-CMS is free software: you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation, either version 3 of the License, or
  (at your option) any later version.

  Fly-High-CMS is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with Fly-High-CMS.  If not, see <http://www.gnu.org/licenses/>.

  Diese Datei ist Teil von Fly-High-CMS.

  Fly-High-CMS ist Freie Software: Sie können es unter den Bedingungen
  der GNU General Public License, wie von der Free Software Foundation,
  Version 3 der Lizenz oder (nach Ihrer Option) jeder späteren
  veröffentlichten Version, weiterverbreiten und/oder modifizieren.

  Fly-High-CMS wird in der Hoffnung, dass es nützlich sein wird, aber
  OHNE JEDE GEWÄHELEISTUNG, bereitgestellt; sogar ohne die implizite
  Gewährleistung der MARKTFÄHIGKEIT oder EIGNUNG FÜR EINEN BESTIMMTEN ZWECK.
  Siehe die GNU General Public License für weitere Details.

  Sie sollten eine Kopie der GNU General Public License zusammen mit diesem
  Programm erhalten haben. Wenn nicht, siehe <http://www.gnu.org/licenses/>.
 */

if (file_exists("install") && !file_exists("config/config.php")) {
	header("location: install");
}

if (isset($_GET['logout'])) {
	session_start();
	session_destroy();
	header("location: ../");
	exit();
}

require_once 'resources/auth-functions.php';

@session_start();
if (isLoggedOn()) {
	header("location: ../");
}


?>

<!DOCTYPE html>
<html>
	<head>
		<title>Login</title>
		<meta http-equiv="content-type" content="text/html; charset=ISO-8859-1" >
		<link rel="shortcut icon" href="icons/favicon.ico" type="image/x-icon">
		<link rel="stylesheet" type="text/css" href="css/login.css">
	</head>

	<body>
		<div id="main">
			<?php
			if (file_exists("install") && file_exists("config/config.php")) {
				echo("<p class='warning'>Bitte l&ouml;schen Sie das Installationsverzeichnis, wenn Sie die Installation bereits durchgef&uuml;hrt haben.</p>");
				echo("<p class='warning'>Falls Sie die Installation erneut durchf&uuml;hren m&ouml;chten klicken Sie bitte <a href='install'>hier</a>.</p>");
			}
			else if (!file_exists("install") && !file_exists("config/config.php")) {
				echo("<p class='warning'>Aus unbekannten Gr&uuml;nfen fehlt die Hauptkonfigurationsdatei</p>");
			}
			if (isset($_GET['fail'])) {
				echo("<p class='warning'>Benutzername oder Passwort falsch!</p>");
			}

			//Beheben eines Index Fehlers
			if (!isset($_GET['vergessen'])) {
				$_GET['vergessen'] = 0;
			}
			if ($_GET['vergessen'] == 1) {
				require_once 'resources/auth-vergessen1.php';
			}
			else if ($_GET['vergessen'] == 2) {
				require_once 'resources/auth-vergessen2.php';
			}
			else{
				require_once 'resources/auth-main.php';
			} ?>
		</div>
	</body>

</html>