<?php
/*****************************************
 *										 *
 *	Author:			Felix Imobersteg     *
 *	Last Change:	2012-05-16			 *
 *										 *
 ****************************************/

/*
  This file is part of Fly-High-CMS.

  Fly-High-CMS is free software: you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation, either version 3 of the License, or
  (at your option) any later version.

  Fly-High-CMS is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with Fly-High-CMS.  If not, see <http://www.gnu.org/licenses/>.

  Diese Datei ist Teil von Fly-High-CMS.

  Fly-High-CMS ist Freie Software: Sie können es unter den Bedingungen
  der GNU General Public License, wie von der Free Software Foundation,
  Version 3 der Lizenz oder (nach Ihrer Option) jeder späteren
  veröffentlichten Version, weiterverbreiten und/oder modifizieren.

  Fly-High-CMS wird in der Hoffnung, dass es nützlich sein wird, aber
  OHNE JEDE GEWÄHELEISTUNG, bereitgestellt; sogar ohne die implizite
  Gewährleistung der MARKTFÄHIGKEIT oder EIGNUNG FÜR EINEN BESTIMMTEN ZWECK.
  Siehe die GNU General Public License für weitere Details.

  Sie sollten eine Kopie der GNU General Public License zusammen mit diesem
  Programm erhalten haben. Wenn nicht, siehe <http://www.gnu.org/licenses/>.
 */

//chdir("../");
require_once 'resources/auth-functions.php';
if (!isLoggedOn()) {
	header("location: index.php");
	exit();
}
?>


<h1>Explorer</h1>
<?php
echo "<p><a href='?site=explorer&amp;pfad=". $_GET["pfad"]."'><img src='icons/arrow_rotate.png' alt='Aktualisieren'>&nbsp;Aktualisieren</a></p>"
?>
<form>
	<table>
		<tr>
			<td>&nbsp;</td>
			<td><strong>Name</strong></td>
			<td><strong>Gr&ouml;sse</strong></td>
			<td><strong>Letzte &Auml;nderung</strong></td>
			<td><strong>Pfad zur Datei</strong></td>
		</tr>
		<?php
		$lesbar = true;

		if ($_GET["pfad"] != "../") {
			$vorher = explode("/", $_GET["pfad"]);
			$count = count($vorher) - 2;
			$temp = "";
			for ($i = 0; $i < $count; $i++) {
				$temp .= $vorher[$i];
				$temp .= "/";
			}
			echo '<tr>';
			echo "<td><img src='icons/arrow_undo.png' alt='Back'></td>";
			echo "<td><a href='?site=explorer&pfad=" . $temp . "'>Verzeichnis zurueck</a></td>";
			echo "<td>-</td>";
			echo "<td>-</td>";
			echo '</tr>';
		}
		try {
			if ($verzeichnis = @openDir($_GET["pfad"])) {
				$dir = array();
				while ($file = readDir($verzeichnis)) {
					if ($file != "." && $file != "..") {
						$dir[] = $file;
					}
				}
				closeDir($verzeichnis);
				sort($dir);
				foreach ($dir AS $ausgabe) {
					echo '<tr>';
					if (is_dir($_GET["pfad"] . $ausgabe)) {
						$ausgabe = $ausgabe . "/";
						echo "<td><img src='icons/folder.png' alt='Dir'></td>";
					}
					else {
						echo "<td><img src='icons/page_white.png' alt='File'></td>";
					}
					$pfad = $_GET["pfad"] . $ausgabe;
					if (is_dir($pfad)) {
						$lastChange = "<td>-</td>";
						$size = "-";
						$ausgabe = "<td><a href='?site=explorer&amp;pfad=" . $_GET["pfad"] . $ausgabe . "'>" . $ausgabe . "</a></td>";
					}
					else {
						$filesize = filesize($_GET["pfad"] . $ausgabe);
						if ($filesize < 1000) {
							$size = number_format($filesize, 0, ",", ".") . " Bytes";
						}
						elseif ($filesize < 1000000) {
							$size = number_format($filesize / 1024, 0, ",", ".") . " kB";
						}
						else {
							$size = number_format($filesize / 1048576, 1, ",", ".") . " MB";
						}
						$lastChange = "<td>" . date('j.n.y  H:i', filemtime($_GET["pfad"] . $ausgabe)) . "</td>";
						$ausgabe = "<td><a href='" . $_GET["pfad"] . $ausgabe . "'>" . $ausgabe . "</a></td>";
					}
					echo $ausgabe;
					echo "<td>" . $size . "</td>";
					echo $lastChange;
					echo "<td><input type='text' name='pfad' size='40' value='" . substr($pfad, 3) . "'></td>";
					echo '</tr>';
				}
			}
			else {
				$lesbar = false;
			}
		}
		catch (Exception $ex) {
			$lesbar = false;
		}
		if ($lesbar == false) {
			if (file_exists($_GET["pfad"])) {
				echo '<br><p><strong>Verzeichnis ist nicht lesbar!</strong</p>';
			}
			else {
				echo '<br><p><strong>Verzeichnis ist nicht vorhanden!</strong</p>';
			}
		}
		?>
	</table>
</form>
<br>
<h2>Dateiupload</h2>
<form>
	<p>Bitte beachten Sie, dass die maximale Dateigr&ouml;sse bei 10 MB liegt.</p>
    <div id="uploader">
        <p>You browser doesn't have Flash, Silverlight, Gears, BrowserPlus or HTML5 support.</p>
    </div>
</form>

