<?php
/* * ***************************************
 * 										 *
 * 	Author:			Felix Imobersteg     *
 * 	Last Change:	2012-05-16			 *
 * 										 *
 * ************************************** */

/*
  This file is part of Fly-High-CMS.

  Fly-High-CMS is free software: you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation, either version 3 of the License, or
  (at your option) any later version.

  Fly-High-CMS is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with Fly-High-CMS.  If not, see <http://www.gnu.org/licenses/>.

  Diese Datei ist Teil von Fly-High-CMS.

  Fly-High-CMS ist Freie Software: Sie können es unter den Bedingungen
  der GNU General Public License, wie von der Free Software Foundation,
  Version 3 der Lizenz oder (nach Ihrer Option) jeder späteren
  veröffentlichten Version, weiterverbreiten und/oder modifizieren.

  Fly-High-CMS wird in der Hoffnung, dass es nützlich sein wird, aber
  OHNE JEDE GEWÄHELEISTUNG, bereitgestellt; sogar ohne die implizite
  Gewährleistung der MARKTFÄHIGKEIT oder EIGNUNG FÜR EINEN BESTIMMTEN ZWECK.
  Siehe die GNU General Public License für weitere Details.

  Sie sollten eine Kopie der GNU General Public License zusammen mit diesem
  Programm erhalten haben. Wenn nicht, siehe <http://www.gnu.org/licenses/>.
 */

chdir("../");
require_once 'resources/auth-functions.php';
if (!isLoggedOn()) {
	header("location: index.php");
	exit();
}
?>

<h1>Hilfe</h1>
<h2>Inhaltsverzeichnis</h2>
<ul>
	<li><a href="#kapitelLogin">Login</a></li>
	<li><a href="#kapitelAdminBar">Admin-Bar</a></li>
	<li><a href="#kapitelBearbeitenInhalte">Bearbeiten der Inhalte</a></li>
	<ul>
		<li><a href="#kapitelBearbeitenText">Text bearbeiten</a></li>
		<li><a href="#kapitelBearbeitenImage">Bild &auml;ndern</a></li>
		<li><a href="#kapitelBearbeitenGalerie">Galerie &auml;ndern</a></li>
	</ul>
	<li><a href="#kapitelFunktionen">Funktionen</a></li>
	<li><a href="#kapitelControlCenter">Control Center</a></li>
	<ul>
		<li><a href="#kapitelBenutzerverwaltung">Benutzerverwaltung</a></li>
		<ul>
			<li><a href="#kapitelEigenerBenutzer">Eigener Benutzer</a></li>
			<li><a href="#kapitelNeuerBenutzer">Neuer Benutzer</a></li>
			<li><a href="#kapitelAlleBenutzer">Alle Benutzer</a></li>
		</ul>
		<li><a href="#kapitelUpdate">Update</a></li>
		<li><a href="#kapitelSEO">Suchmaschinenoptimierung</a></li>
		<li><a href="#kapitelExplorer">Explorer</a></li>
		<li><a href="#kapitelAbout">About</a></li>
		<ul>
			<li><a href="#kapitelKontakt">Kontakt</a></li>
			<li><a href="#kapitelSpenden">Spenden</a></li>
			<li><a href="#kapitelLizenz">Lizenz</a></li>
			<li><a href="#kapitelImpressum">Impressum</a></li>
		</ul>
	</ul>
</ul>


<div id="kapitelLogin">
	<img src='images/login.png' class ="helpimg" alt='Screenshot Login'>
	<h2>Login</h2>
	<p>Um sich einzuloggen rufen sie bitte jeweils das CMS Verzeichnis auf und geben Ihre Daten ein.</p>
</div>
<div id="kapitelAdminBar">
	<h2>Admin-Bar</h2>
	<p>Wenn Sie erfolgreich eingeloggt sind, erscheint am oberen Rand ihrer Seiten eine Adminleiste.</p>
</div>
<div id="kapitelBearbeitenInhalte">
	<h2>Bearbeiten der Inhalte</h2>
	<p>Um Inhalte bearbeiten zu k&ouml;nnen, m&uuml;ssen Sie eingeloggt sein (siehe oben). Anschliessend erscheint nach jedem Element ein Symbol zur Bearbeitung. Bitte beachten Sie, dass Sie die Seite nach bearbeiten der Inhalte aktualisieren m&uuml;ssen bevor Sie die &Auml;nderungen &uuml;bernommen werden.</p>
</div>
<img src='images/editText.png' class ="helpimg" alt='Screenshot Text bearbeiten'>
<div id="kapitelBearbeitenText">
	<h3>Text bearbeiten</h3>
	<p>Beim klicken auf das dazugeh&ouml;rige Symbol &ouml;fnnet sich ein Dialogfenster mit einem Textbearbeitungsfenster. Nach dem bearbeiten klicken Sie auf speichern. Falls Sie die &Auml;nderung verwerfen m&ouml;chten, schliessen Sie einfach das Dialogfenster.</p>
</div>
<img src='images/editImage.png' class ="helpimg" alt='Screenshot Bild &auml;'>
<div id="kapitelBearbeitenImage">
	<h3>Bild &auml;ndern</h3>
	<p>Beim klicken auf das dazugeh&ouml;rige Symbol &ouml;fnnet sich ein Dialogfenster mit einem Texteingabefenster. In diesem m&uuml;ssen Sie den Pfad zum Bild angeben. Nach dem bearbeiten klicken Sie auf speichern. Falls Sie die &Auml;nderung verwerfen m&ouml;chten, schliessen Sie einfach das Dialogfenster.</p>
</div>
<div id="kapitelBearbeitenGalerie">
	<h3>Galerie &auml;ndern</h3>
	<p>Dies entspricht nahzu dem <a href="#kapitelBearbeitenImage">Bild &auml;ndern</a>. Der einzige Unterschied besteht darin, dass anstatt dem Pfad zu einer Bilddatei, der Pfad zu dem Ordner angegeben werden muss, in welchem sich die Bilder f&uuml;r die Galerie befinden. Es werden s&auml;mtlich Ordner aus diesem Ordner angezeigt. Ein ausschliessen von Bildern ist nicht m&ouml;glich.</p>
</div>
<div id="kapitelSeiteErstellen">
	<h2>Seite erstellen</h2>
	<p>Fly-High CMS verbindet die Vorteile von statischen und dynamischen Webseiten. Aus diesem Grund werden die Seiten einzeln erstellt und auf den Server hochgeladen. Damit die Inhalte bearbeitet werden k&ouml;nnen m&uuml;ssen an den entsprechenden Stellen, die richtigen Funktionen aufgerufen werden. Die verf&uuml;gbaren Funktionen k&ouml;nnen <a href="kapitelFunktionen">hier</a> hier angesehen werden.</p>
	<p>Bitte beachten Sie, dass dies bereits einige Erfahrung in der Webentwicklung ben&ouml;tigt.</p>
	<p>Um Ihnen das erstellen zu erleichtern, ist eine Beispielseite im Wurzelverzeichnis von Fly-High-CMS vorhanden.</p>
</div>
<div id="kapitelFunktionen">
	<h2>Funktionen</h2>
	<p>Dieses Kapitel richtet sich haupts&auml;chlich an den Entwickler, welcher das Grundger&uuml;st f&uuml;r die Seite erstellt.</p>
	<p>Der Text in [] muss angepasst werden.</p>
	<p>Wenn nach einer id gefragt wird, ist eine die ID in der Datenbank gemeint. Diese muss numerisch sein.</p>
	<table>
		<tr>
			<td><strong>Funktionsname</strong></td>
			<td><strong>Kurzberschrieb</strong></td>
		</tr>
		<tr>
			<td>getSystemHead()</td>
			<td>Gibt den System-Head aus. Dies muss bei jeder Seite im Head geschehen.</td>
		</tr>
		<tr>
			<td>php getAdminBar()</td>
			<td>Gibt bei eingeloggten Benutzern die Admin-Bar aus.</td>
		</tr>
		<tr>
			<td>getContentText([id])</td>
			<td>Eine Standardtextausgabe mit WYSIWYG Editor</td>
		</tr>
		<tr>
			<td>getContentImage([id])</td>
			<td>Dia Ausgabe eines einzelnen Bildes.</td>
		</tr>
		<tr>
			<td>getContentGalerie([id])</td>
			<td>Dia Ausgabe einer Bildergalerie. Hinweis: Es darf nur eine Galeriefunktion pro Seite verwendet werden.</td>
		</tr>
		<tr>
			<td>isLoggedOn()</td>
			<td>Gibt bei einem eingeloggten Benutzer "true" zur&uuml;ck</td>
		</tr>
	</table>
</div>
<div id="kapitelControlCenter">
	<img src='images/controlCenter.png' class ="helpimg" alt='Control Center'>
	<h2>Control Center</h2>
	<p>Um das Control Center aufzurufen, m&uuml;ssen Sie eingellogt sein.</p>
	<p>Die Naviagtion erfolgt durch das Men&uuml; auf der linken Seite.</p>
</div>
<div id="kapitelBenutzerverwaltung">
	<h3>Benutzerverwaltung</h3>
	<p>In der Benutzerverwaltung k&ouml;nnen Sie Ihren eigenen Nutzer bearbeiten, einen neuen Benutzer erstellen oder eine Liste mit allen Benutzern anzeigen.</p>
</div>
<div id="kapitelEigenerBenutzer">
	<h4>Eigener Benutzer</h4>
	<p>Im Unterpunkt "Eigener Benutzer"  können die Daten des eigenen Benutzers ge&auml;ndert werden. Falls Sie nicht der einzige Benutzer des CMS sind k&ouml;nnen Sie Ihren Benutzer hier l&ouml;schen.
</div>
<div id="kapitelNeuerBenutzer">
	<h4>Neuer Benutzer</h4>
	<p>Im Unterpunkt "Neuer Benutzer" k&ouml;nnen neue Benutzer erstellt werden.
</div>
<div id="kapitelAlleBenutzer">
	<h4>Alle Benutzer</h4>
	<p>Hier wird eine Liste mit allen registrierten Benutzern angezeigt.</p>
</div>
<div id="kapitelUpdate">
	<h3>Update</h3>
	<p>In diesem Teil kann &uuml;berpr&uuml;ft werden, ob eine neuere Version existiert und gegebenfalls aktualisiert werden.</p>
</div>
<div id="kapitelSEO">
	<h3>Suchmaschinenoptimierung</h3>
	<p>Damit Ihre Seite auch gefunden wird, ist es wichtig einige Dinge zu beachten. Zum Beispiel sollte ein Sitemap erstellt werden, welches die Suchmaschinen über vorhandene Seite informiert.</p>
	<p>Dieses kann hier vollautomatisch erstellt werden.</p>
</div>
<div id="kapitelExplorer">
	<h3>Explorer</h3>
	<p>Hie ist es m&oumlglich durch das Webverzeichnis zu navigieren. Hier kann auch der Pfad zu einer Datei angezeigt werden.</p>
	<p>Mit Hilfe des zugeh&ouml;rigen Uploaders k&ouml;nnen Bild- und Zipdateien mit einer maximalen Dateig&oumlsse von 10 MB hochgeladen werden.</p>
</div>
<div id="kapitelAbout">
	<h3>About</h3>
</div>
<div id="kapitelKontakt">
	<h4>Kontakt</h4>
	<p>Hier ist es m&ouml;glich den ENtwicklern von Fly-High CMS eine R&uuml;ckmeldung zu geben.</p>
	<p>Dazu ist kann das vorhendene Formular ausgef&uuml;llt werden.</p>
</div>
<div id="kapitelSpenden">
	<h4>Spenden</h4>
	<p>Um das CMS weiter verbessern zu k&ouml;nnen sind wir auf freiwillige Spenden angewiesen.</p>
	<p>Diese k&ouml;nnen Sie in diesem Unterpunkt, mit Hilfe von PayPal t&auml;tigen</p>
	<br>
	<form action="https://www.paypal.com/cgi-bin/webscr" target="_blank" method="post" style="text-align:center;">
		<input type="hidden" name="cmd" value="_s-xclick">
		<input type="hidden" name="hosted_button_id" value="EMA26TT52NV7Q">
		<input type="image" src="https://www.paypalobjects.com/de_DE/CH/i/btn/btn_donateCC_LG.gif" border="0" name="submit" alt="Jetzt einfach, schnell und sicher online bezahlen – mit PayPal.">
		<img alt="" border="0" src="https://www.paypalobjects.com/de_DE/i/scr/pixel.gif" width="1" height="1">
	</form>
</div>
<div id="kapitelLizenz">
	<h4>Lizenz</h4>
	<p>Hier kann die Lizenz des Fly-High CMS angezeigt werden.</p>
</div>
<div id="kapitelImpressum">
	<h4>Impressum</h4>
	<p>In diesem Unterpunkt kann das Impressum von Fly-High CMS angezeigt werden.</p>
</div>


<br>
<a href="#main"><img src='icons/arrow_up.png' alt='Nach oben'>&nbsp;Nach oben</a>