<?php
/*****************************************
 *										 *
 *	Author:			Felix Imobersteg     *
 *	Last Change:	2012-05-16			 *
 *										 *
 ****************************************/

/*
  This file is part of Fly-High-CMS.

  Fly-High-CMS is free software: you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation, either version 3 of the License, or
  (at your option) any later version.

  Fly-High-CMS is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with Fly-High-CMS.  If not, see <http://www.gnu.org/licenses/>.

  Diese Datei ist Teil von Fly-High-CMS.

  Fly-High-CMS ist Freie Software: Sie können es unter den Bedingungen
  der GNU General Public License, wie von der Free Software Foundation,
  Version 3 der Lizenz oder (nach Ihrer Option) jeder späteren
  veröffentlichten Version, weiterverbreiten und/oder modifizieren.

  Fly-High-CMS wird in der Hoffnung, dass es nützlich sein wird, aber
  OHNE JEDE GEWÄHELEISTUNG, bereitgestellt; sogar ohne die implizite
  Gewährleistung der MARKTFÄHIGKEIT oder EIGNUNG FÜR EINEN BESTIMMTEN ZWECK.
  Siehe die GNU General Public License für weitere Details.

  Sie sollten eine Kopie der GNU General Public License zusammen mit diesem
  Programm erhalten haben. Wenn nicht, siehe <http://www.gnu.org/licenses/>.
 */

require_once 'resources/auth-functions.php';
if (!isLoggedOn()) {
	header("location: index.php");
	exit();
}
?>

<h1>Suchmaschinenoptimierung</h1>
<?php
//Sitemap Gerator
if (is_writable("..")) {
	$url = $_SERVER["HTTP_HOST"];
	$speicherort = "../";

	/* Die zu durchsuchenden Verzeichnisse eintragen.
	  Aktuelles Verzeichnis durchsuchen mit  "./" */
	$verzeichnisse = array(
		"../",

	);

	/* Die Dateitypen der Dateien die aufgeführt werden */
	$dateiendungen = array(
		".htm",
		".html",
		".php",
	);

	/* Vorzeichen bei Dateien die nicht aufgeführt werden
	  sollen zum Beispiel: _intern.htm,  _log.php */
	$vorzeichen = "_";

	/* Einzelne Dateien die nicht aufgeführt werden sollen */
	$nicht_durchsuchen = array(
	);

	$xml = "<?xml version=\"1.0\" encoding=\"UTF-8\"?>\n<urlset xmlns=\"http://www.sitemaps.org/schemas/sitemap/0.9\">\n<url>\n<loc>" . $url . "/</loc>\n</url>\n";
	$sitemap = "sitemap.xml";
	$eintraege = 0;
	$anzeige = "<ul>";

	foreach ($verzeichnisse as $verzeichnis) {
		foreach ($dateiendungen as $dateiendung) {
			foreach (glob($verzeichnis . "*" . $dateiendung) as $datei) {
				$dateiname = basename($datei);
				if ($dateiname[0] != $vorzeichen && !in_array($dateiname, $nicht_durchsuchen)) {
					$xml .= "<url>\n<loc>" . $url . "/" .substr($datei,3) . "</loc>\n<lastmod>" . date("Y-m-d", filemtime($datei)) . "</lastmod>\n</url>\n";
					$anzeige .= "<li>".substr($datei,3)."</li>";
					$eintraege++;
				}
			}
		}
	}

	if ($eintraege == 0) {
		echo "<p>Es wurden keine Eintr&auml;ge gefunden!</p>";
	}
	else {
		if (file_exists($sitemap)) {
			if (unlink($speicherort.$sitemap)) {
				echo "<p>Datei '" . $sitemap . "' wurde gel&ouml;scht.</p>";
			}
			else {
				echo "<p>Fehler beim l&ouml;schen der Datei '" . $sitemap . "' !</p>";
				exit;
			}
		}
		$xml .= "</urlset>";
		if (file_put_contents($speicherort.$sitemap, $xml) == true) {
			echo "<p>Datei '" . $sitemap . "' wurde mit " . $eintraege . " Eintr&auml;gen gespeichert.</p>";
			echo '<br>';
			echo 'Folgende Eintr&auml;ge wurden gespeichert:';
			echo $anzeige;
			echo "</ul>";
		}
		else {
			echo "<p>Fehler beim erstellen der Datei '" . $sitemap . "' !</p>";
		}
	}
}
else {
	echo "<p class='warning'>Sie besitzen keine Schreibrechte im n&ouml;tige Verzeichnis.</p>";
}
?>