<?php
/*****************************************
 *										 *
 *	Author:			Felix Imobersteg     *
 *	Last Change:	2012-05-16			 *
 *										 *
 ****************************************/

/*
  This file is part of Fly-High-CMS.

  Fly-High-CMS is free software: you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation, either version 3 of the License, or
  (at your option) any later version.

  Fly-High-CMS is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with Fly-High-CMS.  If not, see <http://www.gnu.org/licenses/>.

  Diese Datei ist Teil von Fly-High-CMS.

  Fly-High-CMS ist Freie Software: Sie können es unter den Bedingungen
  der GNU General Public License, wie von der Free Software Foundation,
  Version 3 der Lizenz oder (nach Ihrer Option) jeder späteren
  veröffentlichten Version, weiterverbreiten und/oder modifizieren.

  Fly-High-CMS wird in der Hoffnung, dass es nützlich sein wird, aber
  OHNE JEDE GEWÄHELEISTUNG, bereitgestellt; sogar ohne die implizite
  Gewährleistung der MARKTFÄHIGKEIT oder EIGNUNG FÜR EINEN BESTIMMTEN ZWECK.
  Siehe die GNU General Public License für weitere Details.

  Sie sollten eine Kopie der GNU General Public License zusammen mit diesem
  Programm erhalten haben. Wenn nicht, siehe <http://www.gnu.org/licenses/>.
 */

require_once 'resources/auth-functions.php';
if (!isLoggedOn()) {
	header("location: index.php");
	exit();
}
?>

<h1>Update</h1>
<?php
if (isset($_GET['erfolgreich'])){
	if (file_exists("temp/update_now.php")){
		unlink("temp/update_now.php");
	}
	echo 'Das Update war erfolgreich.';
}
else{
	if (!file_exists("config/update.php")) {
		echo '<p>Update-Konfigurationsdatei wurde nicht gefunden</p>';
	}
	else {
		require_once 'config/update.php';
		try {
			$connection = ftp_connect($updatehost);
			if (@ftp_login($connection, $updateuser, $updatepw)){
				if (ftp_get($connection, "temp/aktuell_version.php", "version.php", FTP_BINARY)) {
					require_once 'temp/aktuell_version.php';
					if ($version == $aktuell) {
						echo '<p>Dies ist bereits die aktuelle Version.</p>';
					}
					else {
						if (ftp_get($connection, "temp/update_now.php", "update_now.php", FTP_BINARY)) {
							echo '<p>Es wurde eine neuere Version gefunden.</p>';
							echo '<form action="temp/update_now.php" method="POST">';
							echo '<p><input type="submit" value="Jetzt Aktualisieren" /></p>';
							echo '</form>';
						}
						else {
							echo '<p>Die neueste Version konnte nicht heruntergeladen werden.</p>';
						}
					}
				}
				ftp_quit($connection);
			}
			else {
				echo 'Ein unbekannter Fehler ist aufgetreten';
			}
		}
		catch (Exception $ex) {
			echo '<p>Es konnte keine FTP Verbindung aufgebaut werden.</p>';
			echo '<p>Eine M&ouml;glichkeit ist ein falsch konfigurierter Webserver oder Netzwerkrichtlinien welche keine FTP Verbindungen zulassen</p>';
		}
	}
	if (file_exists("temp/aktuell_version.php")){
		unlink("temp/aktuell_version.php");
	}
}
?>
